Skip to content
VeilVeil
Esc
↑↓navigate↵open⌘Jpreview

Grants in this org. No secrets. Not MCP.

GET/v1/grants
Authorization
AuthorizationBearer token (JWT) · headerrequired
Hydra JWT. Identity is the bound agent or a Keto member human. The host is not identity.
Responses
200Grants
grantsGrant[]required
Show properties
Array of Grant
idstringrequired
org_idstringrequired
agent_idstringrequired
item_idstringrequired
levelstringrequired
expires_atstring<date-time>
subject_kindstringrequired
Subject kind. agent_id holds the subject id — the group id when subject_kind is group.
Allowed:agenthumangroup
401missing or invalid Bearer
403not owner
Request
curl -X GET "https://veil.nyc/v1/grants" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "grants": [
    {
      "id": "string",
      "org_id": "string",
      "agent_id": "string",
      "item_id": "string",
      "level": "string",
      "expires_at": "2024-01-01T00:00:00Z",
      "subject_kind": "agent"
    }
  ]
}